{*produktyVlatnosti*}
<div class="bg-light mb-3">
    <div class="border-bottom py-3">
        {snippet list}
            <div class="container-fluid">
                <div class="col-12 col-md-6 col-xl-4">
                    <div class="table-responsive">
                        <table class="table table-striped border">
                            <thead>
                                <tr>
                                    <th scope="col">Název</th>
                                    <th scope="col">Hodnota</th>
                                    <th scope="col"></th>
                                </tr>
                            </thead>
                            <tbody>
                                {if !empty($vlastnosti)}
                                    {foreach $vlastnosti as $one}
                                        <tr>
                                            <td>{$one->ref('vlastnosti')->nazev}</td>
                                            <td>{$one->ref('vlastnosti_hodnoty')->hodnota}</td>
                                            <td>
                                                <div class="d-flex align-items-center">
                                                    <a class="text-danger ajax" n:href="vymazVlastnost! $one->id"><i class="fas fa-trash"></i></a>
                                                </div>
                                            </td>
                                        </tr>
                                    {/foreach}
                                {else}
                                    <tr>
                                        <td class="text-center" colspan="3">Není přiřazena vlastnost</td>
                                    </tr>
                                {/if}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        {/snippet}
    </div>
    <div class="container-fluid py-2">
        {snippet formular}
            <a class="btn btn-success" href="#" data-bs-toggle="modal" data-bs-target="#pridatVlastnostModal"><i class="fas fa-plus me-2"></i>Přidat</a>
        {/snippet}
    </div>
</div>
{*modal*}
<div class="modal fade" id="pridatVlastnostModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title mb-0">Přidat vlastnost</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-12 col-md-6">
                    <div class="py-2">
                        <label class="form-label">Vlastnost</label>
                        <select class="form-select vlastnost-id" onchange="changeVlastProd()">
                            <option value="">Vyberte možnost</option>
                            {foreach $selectVlast as $one}
                                <option value="{$one->id}">{$one->nazev}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
                <div class="col-12" n:snippet="hodnoty">
                    <div class="row">
                        <div class="col-12 col-md-6">
                            <div class="py-2">
                                <label class="form-label">Hodnota</label>
                                <select class="form-select hodnota-id">
                                    {if !empty($hodnotyVlast)}
                                        <option value="">Vyberte možnost</option>
                                        {foreach $hodnotyVlast as $one}
                                            <option value="{$one->id}">{$one->hodnota}</option>
                                        {/foreach}
                                    {else}
                                        <option value="">Vlastnost nemá hodnoty</option>
                                    {/if}
                                </select>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="py-2">
                                <label class="form-label">Nová hodnota</label>
                                <input class="form-control vlastnost-hodnota" onchange="checkVlastnost()">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                <a href="#" class="btn btn-outline-success" onclick="saveAddVlastnost()">Uložit</a>
            </div>
        </div>
    </div>
</div>

<script>
    function saveAddVlastnost()
    {
        let vlastnostSelect = $('.vlastnost-id');
        let vlastnostHodnota = $('.vlastnost-hodnota');
        let hodnotaId = $('.hodnota-id');

        var data = [];
        data['produkty_id'] = {$produktId};
        data['hodnota']  = vlastnostHodnota.val();
        data['vlastnosti_id'] = vlastnostSelect.val();
        data['hodnota_id'] = hodnotaId.val();

        if(data['vlastnosti_id'] == ''){
            alert('Musíte vybrat vlastnost!');
            vlastnostSelect.focus();
        }else{
            if(data['hodnota_id'] == ''){
                if (data['hodnota'] == '') {
                    alert('Musíte vybrat,nebo vyplnit hodnotu vlastnosti!');
                }else{
                    naja.makeRequest('GET', {link saveVlastnost}, { {$control->getParameterId('data')} : data })
                    .then((payload) => {
                        $('#pridatVlastnostModal').modal('hide');
                        vlastnostSelect.val('');
                        vlastnostHodnota.val('');
                        hodnotaId.val('');
                    });
                }
            }else{
                naja.makeRequest('GET', {link saveVlastnost}, { {$control->getParameterId('data')} : data })
                .then((payload) => {
                    $('#pridatVlastnostModal').modal('hide');
                    vlastnostSelect.val('');
                    vlastnostHodnota.val('');
                    hodnotaId.val('');
                });
            }
        }
    }

    function changeVlastProd()
    {
        let vlastnostSelect = $('.vlastnost-id');

        var data = [];
        data['vlastnosti_id'] = vlastnostSelect.val();
        if (data['vlastnosti_id'] !== '') {
            naja.makeRequest('GET', {link changeVlastnost}, { {$control->getParameterId('data')} : data });
        }
    }

    function checkVlastnost()
    {
        let vlastnostHodnota = $('.vlastnost-hodnota');
        let vlastnostSelect = $('.vlastnost-id');
        let hodnotaId = $('.hodnota-id');

        var vlastnostId = vlastnostSelect.val();
        var hodnota = vlastnostHodnota.val();

        if (vlastnostId !== '') {
            if (hodnota !== '') {
                var data =[];
                data['vlastnosti_id'] = vlastnostId;
                data['hodnota'] = hodnota;

                naja.makeRequest('GET', {link checkVlastnost}, { {$control->getParameterId('data')} : data })
                .then((payload) => {

                    if (payload.hodnota !== 0) {
                        $('.hodnota-id').val(payload.hodnota);
                        vlastnostHodnota.val('');
                    }else{
                        hodnotaId.val('');
                    }
                });
            }
        }else{
            alert('Musíte vybrat vlastnost!');
            vlastnostSelect.focus();
        }
    }
</script>